import request from '@/utils/request'

export function sexRpt(params) {
  return request({
    url: '/api/admin/chart/sex',
    method: 'get',
    params: params
  })
}

export function ageRpt(params) {
  return request({
    url: '/api/admin/chart/visit_age',
    method: 'get',
    params: params
  })
}

export function visitdetailRpt(params) {
  return request({
    url: '/api/admin/chart/visit_detail',
    method: 'get',
    params: params
  })
}

export function duringRpt(params) {
  return request({
    url: '/api/admin/chart/visit_during',
    method: 'get',
    params: params
  })
}

export function quarterRpt(params) {
  return request({
    url: '/api/admin/chart/visit_quarter',
    method: 'get',
    params: params
  })
}

export function monthRpt(params) {
  return request({
    url: '/api/admin/chart/visit_month',
    method: 'get',
    params: params
  })
}

export function areaRpt(params) {
  return request({
    url: '/api/admin/chart/visit_area',
    method: 'get',
    params: params
  })
}

export function detailRpt(params) {
  return request({
    url: '/api/admin/chart/visit_time_detail',
    method: 'get',
    params: params
  })
}

